WPSTextSubDocument Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
WPSTextSubDocument Class Referenceabstract

Basic class used to store a sub document. More...

`#include <WPSTextSubDocument.h>`

Inheritance diagram for WPSTextSubDocument:

## Public Member Functions
| WPSTextSubDocument (RVNGInputStreamPtr const &input, WPSParser *parser, int id=0)
| constructor More...
| ~WPSTextSubDocument () override
| destructor More...
RVNGInputStreamPtr const & | getInput ()
| returns the input More...
WPSParser * | parser () const
| returns the parser More...
bool | operator== (std::shared_ptr< WPSSubDocument > const &doc) const override
| an operator = More...
virtual void | parse (std::shared_ptr< WPSContentListener > &listener, libwps::SubDocumentType subDocumentType)=0
| virtual parse function More...
Public Member Functions inherited from WPSSubDocument
| WPSSubDocument (RVNGInputStreamPtr const &input, int id=0)
| constructor More...
virtual | ~WPSSubDocument ()
| destructor More...
RVNGInputStreamPtr & | getInput ()
| returns the input More...
int | id () const
| get the identificator More...
void | setId (int i)
| set the identificator More...
bool | operator!= (std::shared_ptr< WPSSubDocument > const &doc) const

## Protected Attributes
WPSParser * | m_parser
Protected Attributes inherited from WPSSubDocument
RVNGInputStreamPtr | m_input
int | m_id

## Private Member Functions
| WPSTextSubDocument (const WPSTextSubDocument &)=delete
WPSTextSubDocument & | operator= (const WPSTextSubDocument &)=delete

## Detailed Description

Basic class used to store a sub document.

## Constructor & Destructor Documentation

## ◆ WPSTextSubDocument() [1/2]

WPSTextSubDocument::WPSTextSubDocument | ( | RVNGInputStreamPtr const & | input,
|  | WPSParser * | parser,
|  | int | id = `0`
| ) |  |

constructor

## ◆ ~WPSTextSubDocument()

WPSTextSubDocument::~WPSTextSubDocument | ( |  | ) |
| override

destructor

## ◆ WPSTextSubDocument() [2/2]

WPSTextSubDocument::WPSTextSubDocument | ( | const WPSTextSubDocument & |  | ) |
| explicitprivatedelete

## Member Function Documentation

## ◆ getInput()

RVNGInputStreamPtr const& WPSTextSubDocument::getInput | ( |  | ) |
| inline

returns the input

## ◆ operator=()

WPSTextSubDocument& WPSTextSubDocument::operator= | ( | const WPSTextSubDocument & |  | ) |
| privatedelete

## ◆ operator==()

bool WPSTextSubDocument::operator== | ( | std::shared_ptr< WPSSubDocument > const & | doc | ) | const
| overridevirtual

an operator =

Reimplemented from WPSSubDocument.

Reimplemented in XYWriteParserInternal::SubDocument.

## ◆ parse()

virtual void WPSTextSubDocument::parse | ( | std::shared_ptr< WPSContentListener > & | listener,
|  | libwps::SubDocumentType | subDocumentType
| ) |  |
| pure virtual

virtual parse function

this function is called to parse the subdocument

Implemented in WPS8TextInternal::SubDocument, XYWriteParserInternal::SubDocument, WPS8ParserInternal::SubDocument, WPS4ParserInternal::SubDocument, and MSWriteParserInternal::SubDocument.

Referenced by WPSContentListener::handleSubDocument().

## ◆ parser()

WPSParser* WPSTextSubDocument::parser | ( |  | ) | const
| inline

returns the parser

## Member Data Documentation

## ◆ m_parser

WPSParser* WPSTextSubDocument::m_parser
| protected

Referenced by operator==(), MSWriteParserInternal::SubDocument::parse(), WPS4ParserInternal::SubDocument::parse(), WPS8ParserInternal::SubDocument::parse(), XYWriteParserInternal::SubDocument::parse(), and parser().

The documentation for this class was generated from the following files:

- WPSTextSubDocument.h
- WPSTextSubDocument.cpp